{
  "schema_version": "1.4.0",
  "id": "GHSA-gm64-4hqj-9wvv",
  "modified": "2025-04-09T03:45:51Z",
  "published": "2022-05-01T18:26:00Z",
  "aliases": [
    "CVE-2007-4661"
  ],
  "details": "The chunk_split function in string.c in PHP 5.2.3 does not properly calculate the needed buffer size due to precision loss when performing integer arithmetic with floating point numbers, which has unknown attack vectors and impact, possibly resulting in a heap-based buffer overflow.  NOTE: this is due to an incomplete fix for CVE-2007-2872.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-4661"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1702"
    },
    {
      "type": "WEB",
      "url": "https://launchpad.net/bugs/173043"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/549-1"
    },
    {
      "type": "WEB",
      "url": "http://cvs.php.net/viewvc.cgi/php-src/ext/standard/string.c?r1=1.445.2.14.2.58&r2=1.445.2.14.2.59"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2008-01/msg00006.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26642"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26838"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27102"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27864"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28658"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200710-02.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/ChangeLog-5.php#5.2.4"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/releases/5_2_4.php"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-549-2"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-09-04T22:17:00Z"
  }
}